t1 = 0:.01:1;        % 0 <= t <= 1
n = length(t1); 
v1 = 4*t1;
t2 = 1:.01:6;        % t>= 1
v2 = 4*exp(-(t2-1));
t = [t1, t2]; 			 % Augmenting t1 and t2
v = [v1, v2];         % Augmenting v1 and v2
i1 = 0.5*4*ones(1, n);% i = cdv/dt, row array of length n
i2= 0.5*(-4*exp((-(t2-1)))); % i = cdv/dt
i = [i1, i2];         % Augmenting i1 and i2;
subplot(2,1,1), plot(t, v, t, i,'r'), grid
title('Example 3')
legend('v(t), V', 'i(t), micro A')
p = v.*i;             % power
w= 1/2*0.5*v.^2;      % Energy
subplot(2,1,2), plot(t, p, t, w, 'r'), grid
xlabel('t, sec')
legend('p, micro W', 'w, micro J')

